automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, master, updated. v1.12.1-14


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, master, updated. v1.12.1-140-g2747853
Date: Thu, 28 Jun 2012 09:07:36 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=27478539b094a2b0bee4f8a452bec552edcabdbe

The branch, master has been updated
       via  27478539b094a2b0bee4f8a452bec552edcabdbe (commit)
       via  78900b933039b7001443be126b63862430ec2648 (commit)
       via  e677ba931c0a9bb2dee3197b49b6fe088065e96c (commit)
       via  b4b6a1a61dd0ee28e3d50869c959dea04e6a6b71 (commit)
       via  dabdb014914477f54049468b47fa6bf8a2d2f8e5 (commit)
       via  aa630a928a586fd8dc8a087337c3462d7f4fd1c6 (commit)
       via  dbc83fa9f32ee17e52d02d58e1a840fd046ed9a9 (commit)
      from  ebc92e19939b215d76804fde2e51a5850bcf23a0 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 27478539b094a2b0bee4f8a452bec552edcabdbe
Merge: b4b6a1a 78900b9
Author: Stefano Lattarini <address@hidden>
Date:   Thu Jun 28 10:59:45 2012 +0200

    Merge branch 'maint'
    
    * maint:
      coverage: tests AM_MISSING_PROG usage
      docs: document AM_MISSING_PROG
    
    Signed-off-by: Stefano Lattarini <address@hidden>

commit b4b6a1a61dd0ee28e3d50869c959dea04e6a6b71
Merge: ebc92e1 dabdb01
Author: Stefano Lattarini <address@hidden>
Date:   Wed Jun 27 15:29:42 2012 +0200

    Merge branch 'maint'
    
    * maint:
      tests: fix a spurious failure with Solaris make
      tests: avoid several spurious failures on Solaris
      tests: avoid a spurious failure on NetBSD

-----------------------------------------------------------------------

Summary of changes:
 doc/automake.texi                         |   10 +++
 t/{ammissing.sh => am-macro-not-found.sh} |    0
 t/am-missing-prog.sh                      |   99 +++++++++++++++++++++++++++++
 t/ax/is                                   |    3 +
 t/ax/is_newest                            |    8 ++-
 t/list-of-tests.mk                        |    3 +-
 t/maken.sh                                |    2 +-
 t/subdir-order.sh                         |   14 ++++-
 8 files changed, 133 insertions(+), 6 deletions(-)
 rename t/{ammissing.sh => am-macro-not-found.sh} (100%)
 create mode 100755 t/am-missing-prog.sh

diff --git a/doc/automake.texi b/doc/automake.texi
index 73dceab..87776b3 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -4043,6 +4043,16 @@ variable.  The default @var{compiler-search-list} is 
@samp{upcc upc}.
 This macro will abort @command{configure} if no Unified Parallel C
 compiler is found.
 
address@hidden AM_MISSING_PROG(@var{name}, @var{program})
address@hidden AM_MISSING_PROG
address@hidden MISSING
+Find a maintainer tool @var{program} and define the @var{name}
+environment variable with its location.  If @var{program} is not
+detected, then @var{name} will instead invoke the @command{missing}
+script, in order to give useful advice to the user about the missing
+maintainer tool.  @xref{maintainer-mode}, for more information on when
+the @command{missing} script is appropriate.
+
 @item AM_SILENT_RULES
 @acindex AM_SILENT_RULES
 Control the machinery for less verbose build output
diff --git a/t/ammissing.sh b/t/am-macro-not-found.sh
similarity index 100%
rename from t/ammissing.sh
rename to t/am-macro-not-found.sh
diff --git a/t/am-missing-prog.sh b/t/am-missing-prog.sh
new file mode 100755
index 0000000..a3e0cac
--- /dev/null
+++ b/t/am-missing-prog.sh
@@ -0,0 +1,99 @@
+#! /bin/sh
+# Copyright (C) 2003-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Test AM_MISSING_PROG.
+
+. ./defs || Exit 1
+
+cat >> configure.ac <<'END'
+AM_MISSING_PROG([NO_SUCH_COMMAND],    [am-none-none])
+AM_MISSING_PROG([MISMATCHED_COMMAND], [am-exit-63])
+AM_MISSING_PROG([OVERRIDDEN_COMMAND], [am-none-none])
+AM_MISSING_PROG([COMMAND_FOUND],      [my-command])
+AC_OUTPUT
+END
+
+mkdir bin
+cat > bin/am-exit-63 <<'END'
+#!/bin/sh
+echo "Oops, I'm too old"
+exit 63
+END
+cat > bin/am-overridden <<'END'
+#!/bin/sh
+echo "Hey, I'm OK!"
+exit 0
+END
+cat > bin/my-command <<'END'
+#!/bin/sh
+echo SNAFU
+exit 0
+END
+chmod a+x bin/*
+PATH=$(pwd)/bin$PATH_SEPARATOR$PATH; export PATH
+
+cat > Makefile.am <<'END'
+# Different for different targets, for the sake of parallel make.
+o = address@hidden
+e = address@hidden
+
+debug_info = grep . address@hidden address@hidden
+status_is = $(debug_info); echo $@: st=$$st; : test $$st -eq
+
+w_mis = 'am-none-none' is needed, and is missing on your system
+w_old = 'am-exit-63' is needed, and is probably too old
+
+# FIXME: make this test stricter w.r.t. the exit statuses once
+# FIXME: we are merged to master!
+test1:
+       st=0; $(NO_SUCH_COMMAND) >$o 2>$e || st=$$?; $(status_is) 127
+        grep "^WARNING: $(w_mis)" $e
+       test ! -s $o
+test2:
+       st=0; $(MISMATCHED_COMMAND) >$o 2>$e || st=$$?; $(status_is) 63
+        grep "^WARNING: $(w_old)" $e
+       test "`cat $o`" = "Oops, I'm too old"
+test3:
+       st=0; $(OVERRIDDEN_COMMAND) >$o 2>$e || st=$$?; $(status_is) 0
+       st=0; $(OVERRIDDEN_COMMAND) >$o 2>$e || st=$$?; \
+       test ! -s $e
+       test "`cat $o`" = "Hey, I'm OK!"
+test4:
+       st=0; $(COMMAND_FOUND) >$o 2>$e || st=$$?; $(status_is) 0
+       test ! -s $e
+       test "`cat $o`" = SNAFU
+check-local: test1 test2 test2 test4
+.PHONY: test1 test2 test2 test4
+CLEANFILES = test[1234]-stdout test[1234]-stderr
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+
+./configure OVERRIDDEN_COMMAND=am-overridden
+
+$FGREP COMMAND Makefile.in Makefile # For debugging.
+
+grep "^NO_SUCH_COMMAND = \${SHELL} .*/missing .*am-none-none" Makefile
+grep "^MISMATCHED_COMMAND = \${SHELL} .*/missing .*am-exit-63" Makefile
+grep "^COMMAND_FOUND = \${SHELL} .*/missing .*my-command" Makefile
+grep '^OVERRIDDEN_COMMAND = am-overridden *$' Makefile
+
+$MAKE test1 test2 test3 test4
+$MAKE distcheck DISTCHECK_CONFIGURE_FLAGS='OVERRIDDEN_COMMAND=am-overridden'
+
+:
diff --git a/t/ax/is b/t/ax/is
index 1e1c0ce..4f043ca 100755
--- a/t/ax/is
+++ b/t/ax/is
@@ -21,6 +21,9 @@
 # in the face of variables defined through line-continuations,
 # automake rewrites and expansions of empty variables.
 
+# NOTE: keep this file Bourne-compatible, for the sake of systems with
+#       non-POSIX /bin/sh (like Solaris).
+
 set -e
 set -u
 
diff --git a/t/ax/is_newest b/t/ax/is_newest
index f52a1a8..cd1a38e 100755
--- a/t/ax/is_newest
+++ b/t/ax/is_newest
@@ -16,8 +16,10 @@
 
 # Usage: is_newest FILE FILES
 # Fail if any file in FILES is newer than FILE, and print the list of
-# such files on the standard error.
-# Resolve ties in favor of FILE.
+# such files on the standard error.  Resolve ties in favor of FILE.
+
+# NOTE: keep this file Bourne-compatible, for the sake of systems with
+#       non-POSIX /bin/sh (like Solaris).
 
 set -u
 
@@ -29,7 +31,7 @@ if test $# -lt 2; then
 fi
 
 file=$1; shift
-newer_files=$(find "$@" -prune -newer "$file") || exit $?
+newer_files=`find "$@" -prune -newer "$file"` || exit $?
 
 if test -n "$newer_files"; then
   echo "$me: these files are newer than '$file':" >&2
diff --git a/t/list-of-tests.mk b/t/list-of-tests.mk
index 054a03a..e5c08a2 100644
--- a/t/list-of-tests.mk
+++ b/t/list-of-tests.mk
@@ -126,7 +126,7 @@ t/amhello-cross-compile.sh \
 t/amhello-binpkg.sh \
 t/aminit-moreargs-no-more.sh \
 t/amassign.sh \
-t/ammissing.sh \
+t/am-macro-not-found.sh \
 t/amopt.sh \
 t/amopts-location.sh \
 t/amopts-variable-expansion.sh \
@@ -669,6 +669,7 @@ t/mdate5.sh \
 t/mdate6.sh \
 t/missing-version-mismatch.sh \
 t/missing3.sh \
+t/am-missing-prog.sh \
 t/missing-auxfile-stops-makefiles-creation.sh \
 t/mkinstall.sh \
 t/mkinst2.sh \
diff --git a/t/maken.sh b/t/maken.sh
index 1257e4a..a114422 100755
--- a/t/maken.sh
+++ b/t/maken.sh
@@ -56,7 +56,7 @@ for target in dist distcheck; do
   fi
   $MAKE test-no-distdir
   # No file has been actually touched or created.
-  is_newest stampfile $(find .)
+  is_newest stampfile $(find . -type f) sub
 done
 
 :
diff --git a/t/subdir-order.sh b/t/subdir-order.sh
index 0321c25..4c843cf 100644
--- a/t/subdir-order.sh
+++ b/t/subdir-order.sh
@@ -124,6 +124,17 @@ all-local:
        : > run
 END
 
+echo dummy: > Makefile
+if using_gmake; then
+  jobs=-j12
+elif $MAKE -j12; then
+  jobs=-j12
+elif $MAKE -j 12; then
+  jobs="-j 12"
+else
+  jobs=none
+fi
+rm -f Makefile
 
 $ACLOCAL
 $AUTOCONF
@@ -131,7 +142,8 @@ $AUTOMAKE -c --add-missing
 
 ./configure
 
-for j in '' -j12; do
+for j in '' "$jobs"; do
+  test x"$j" = x"none" && continue
   $MAKE $j
   test -f run
   test -f sub0/run


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]